﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Collections.ObjectModel;
using System.Diagnostics;

namespace WindowsPhoneApplication1
{
    public partial class MainPage : PhoneApplicationPage
    {
        //public static readonly DependencyProperty ImageListProperty = DependencyProperty.Register("ImageList", typeof(ImageList), typeof(MainPage), new FrameworkP);
        public static ObservableCollection<StorageImage> ImageInfoList {get;set;}
        public ObservableCollection<TextBox> TextBoxList { get; set; }


        // Constructor
        public MainPage()
        {
            InitializeComponent();
            ImageInfoList = new ObservableCollection<StorageImage>();
            TextBoxList = new ObservableCollection<TextBox>();

            
            StorageHelper.GetBlobs();

            ImageList.DataContext = ImageInfoList;

        }

        private void ImageList_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            //ObservableCollection<StorageImage> Images = (ObservableCollection<StorageImage>)sender;
            ListBox lb = (ListBox)sender;
            StorageImage img = (StorageImage) lb.SelectedItem;
            Debug.WriteLine(sender.GetType().ToString());

            ImageViewer.Source = img.Image;
        }
    }
}